Application users
Create user
Creates a new user
POST
/api/application/usersAuthorization
ApplicationToken AuthorizationBearer <token>
Application API key (generated at /admin/api)
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/application/users" \ -H "Content-Type: application/json" \ -d '{ "email": "[email protected]", "username": "exampleuser", "first_name": "Example", "last_name": "User" }'{ "object": "user", "attributes": { "id": 9, "external_id": null, "uuid": "dac03ece-fd51-4e4b-bd4f-a79e3b2794f9", "username": "exampleuser", "email": "[email protected]", "first_name": "Example", "last_name": "User", "language": "en", "root_admin": false, "2fa": false, "created_at": "2020-10-29T01:25:12+00:00", "updated_at": "2020-10-29T01:25:12+00:00" }, "meta": { "resource": "https://pterodactyl.file.properties/api/application/users/9" }}